Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.log
Class JCLLogger

    java.lang.Object
      org.deegree.framework.log.LoggerService
          org.deegree.framework.log.JCLLogger

All Implemented Interfaces:
  ILogger

    public class JCLLogger

extends LoggerService

Log service provided for Apache Commons Logging (JCL) log service.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Oliver Tonnhofer, last edited by: UID=$Author: mschneider $

Field Summary

Fields inherited from class org.deegree.framework.log.LoggerService
`defaultChannelName`

Fields inherited from interface org.deegree.framework.log.ILogger
`LOG_DEBUG, LOG_ERROR, LOG_INFO, LOG_WARNING`

Constructor Summary
`JCLLogger()`

Method Summary
`void` | `bindClass(Class<?> name)`
`void` | `bindClass(String name)`
`int` | `getLevel()`
`boolean` | `isDebug()` Debugging log is enabled.
`void` | `log(int priority, String message, Object source, Throwable ex)`
`void` | `log(int priority, String message, Throwable ex)`
`void` | `logDebug(String message)` Log debug message
`void` | `logDebug(String message, Object... tracableObjects)`
`void` | `logDebug(String message, Object tracableObject)`
`void` | `logDebug(String message, Throwable e)` Log debug message.
`void` | `logError(String message)` Log error message.
`void` | `logError(String message, Throwable e)` Log error with exception
`void` | `logError(Throwable e)` Log error with exception, use the exceptions.getLocatizedMethod for the message
`void` | `logInfo(String message)` Log info message
`void` | `logInfo(String message, Object... tracableObject)`
`void` | `logInfo(String message, Object tracableObject)`
`void` | `logInfo(String message, Throwable e)` Log info message
`void` | `logWarning(String message)` Log warning message
`void` | `logWarning(String message, Throwable e)` Log warning message with exception
`void` | `setLevel(int level)` sets the debug level

Methods inherited from class org.deegree.framework.log.LoggerService
`init, logDebugBinaryFile, logDebugBinaryFile, logDebugFile, logDebugFile, logDebugXMLFile, logError, sendMail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JCLLogger

    public JCLLogger()

Method Detail

### bindClass

    public void bindClass(String name)

### bindClass

    public void bindClass(Class<?> name)

### getLevel

    public int getLevel()

  Returns:
    the debug level

### setLevel

    public void setLevel(int level)

  Description copied from interface: `ILogger`
  sets the debug level

### isDebug

    public boolean isDebug()

  Description copied from interface: `ILogger`
  Debugging log is enabled.

  Returns:
    `true` if the log level is DEBUG, otherwise `false`

### logDebug

    public void logDebug(String message)

  Description copied from class: `LoggerService`
  Log debug message

  Specified by:
    `logDebug` in interface `ILogger`
  Specified by:
    `logDebug` in class `LoggerService`
  Parameters:
    `message` - the log message

### logDebug

    public void logDebug(String message,
                         Throwable e)

  Description copied from class: `LoggerService`
  Log debug message.

  Specified by:
    `logDebug` in interface `ILogger`
  Specified by:
    `logDebug` in class `LoggerService`
  Parameters:
    `message` - the log message
    `e` - the exception to be logged

### logDebug

    public void logDebug(String message,
                         Object tracableObject)

### logDebug

    public void logDebug(String message,
                         Object... tracableObjects)

### logError

    public void logError(String message)

  Description copied from interface: `ILogger`
  Log error message.

  Parameters:
    `message` - the log message

### logError

    public void logError(String message,
                         Throwable e)

  Description copied from interface: `ILogger`
  Log error with exception

  Parameters:
    `message` - the log message
    `e` - the exception to be logged

### logInfo

    public void logInfo(String message)

  Description copied from class: `LoggerService`
  Log info message

  Specified by:
    `logInfo` in interface `ILogger`
  Specified by:
    `logInfo` in class `LoggerService`
  Parameters:
    `message` - the log message

### logInfo

    public void logInfo(String message,
                        Throwable e)

  Description copied from class: `LoggerService`
  Log info message

  Specified by:
    `logInfo` in interface `ILogger`
  Specified by:
    `logInfo` in class `LoggerService`
  Parameters:
    `message` - the log message
    `e` - the exception to be logged

### logInfo

    public void logInfo(String message,
                        Object tracableObject)

### logInfo

    public void logInfo(String message,
                        Object... tracableObject)

### logWarning

    public void logWarning(String message)

  Description copied from class: `LoggerService`
  Log warning message

  Specified by:
    `logWarning` in interface `ILogger`
  Specified by:
    `logWarning` in class `LoggerService`
  Parameters:
    `message` - the log message

### logWarning

    public void logWarning(String message,
                           Throwable e)

  Description copied from class: `LoggerService`
  Log warning message with exception

  Specified by:
    `logWarning` in interface `ILogger`
  Specified by:
    `logWarning` in class `LoggerService`
  Parameters:
    `message` - the log message
    `e` - the exception to be logged

### log

    public void log(int priority,
                    String message,
                    Throwable ex)

### log

    public void log(int priority,
                    String message,
                    Object source,
                    Throwable ex)

### logError

    public void logError(Throwable e)

  Description copied from interface: `ILogger`
  Log error with exception, use the exceptions.getLocatizedMethod for the message

  Parameters:
    `e` - the exception to be logged

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org